<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";


$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

echo '<img src="../images/img/partners.gif" alt=""> <b><font color="#FFFF00">Новые статьи</font></b><br><br>';

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}}


$dir = opendir ("."); 
while ($file = readdir ($dir)) 
{
if(!eregi("[^a-z0-9_-]",$file)) 
{$a[]=$file;}}  
closedir ($dir);

	
$total = count($a);  //считаем 


for ($i = 0; $i < $total; $i++){ 
	
$dircc = opendir ("$a[$i]"); 
while ($filecc = readdir ($dircc)) 
{
$filtime=filemtime ("$a[$i]/$filecc"); 
$filtime=$filtime+(3600*24*5);  //Сколько статью считать новой сейчас уст. на 5 суток
$ttime=time();
if($filtime>=$ttime){	
if (ereg(".txt$", "$filecc"))
{


$cc2[]=$a[$i];
$cc[]=$filecc;	}}} 
closedir ($dircc);
}
$to = count($cc);

//$cc=str_replace(".txt","",$cc);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($to < $start + $config_liblist){ $end = $to; }
else {$end = $start + $config_liblist; }
for ($icc = $start; $icc < $end; $icc++){
	
	
$siz= file("$cc2[$icc]/$cc[$icc]");  
$count_lib= count($siz);
$stranicy_lib=ceil($count_lib/$config_libpost);	
if($stranicy_lib==0){$stranicy_lib=1;}

echo'<div class=b>';

$c2=$cc[$icc];
//$c2=str_replace(".zip","",$c2);
$filtime=filemtime ("$cc2[$icc]/$cc[$icc]"); 
$filtime1=$filtime+(3600*24*1);
$filtime2=$filtime+(3600*24*3);  //Сколько статью считать новой сейчас уст. на 5 суток
$ttime=time();


if($filtime1>=$ttime){
echo '<img src="../images/img/new.gif" alt="">';}
elseif($filtime2>=$ttime){
echo '<img src="../images/img/new1.gif" alt="">';}
else{
echo '<img src="../images/img/new2.gif" alt="">';}


$st_name=file("$cc2[$icc]/$cc[$icc]");

echo ' <b><a href="lib.php?action=count&amp;did='.$cc2[$icc].'&amp;fid='.$cc[$icc].'&amp;'.SID.'">'.$st_name[0].'</a></b> ('.$stranicy_lib.' стр.)</div><div>';

$te = file("../local/datalib/$cc[$icc].dat"); 
$u = explode("|",$te[0]);
if($u[0]==""){$u[0]="0";}

$lib_name=file_get_contents("$cc2[$icc]/name.dat");

echo 'Категория: <a href="lib.php?did='.$cc2[$icc].'&amp;'.SID.'">'.$lib_name.'</a><br>';
echo 'Прочитали: '.$u[0].'<br>';

$filev = @file("../local/datalib/$cc[$icc].dat");
$totalv = count($filev);
$totalv = $totalv - 1;
$data1 = explode("|",$filev[$totalv]);
if (!ctype_digit($data1[4])){$data1[4]="0";}
echo'<a href="lib.php?action=komm&amp;did='.$cc2[$icc].'&amp;fid='.$cc[$icc].'&amp;'.SID.'">Комментарии</a> ('.$data1[4].')</div>';


}
if($to=="0"){echo'В течении 5-ти дней новых статей не было!';}


echo'<hr>';
if ($start != 0) {echo '<a href="new.php?start='.($start - $config_liblist).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo ' | ';
if ($to > $start + $config_liblist) {echo ' <a href="new.php?start='.($start + $config_liblist).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}


if($to>0){

$ba=ceil($to/$config_liblist);
$ba2=$ba*$config_liblist-$config_liblist;

echo '<br><hr>Страницы:';
$asd=$start-($config_liblist*3);
$asd2=$start+($config_liblist*4);

if($asd<$to && $asd>0){echo ' <a href="new.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$to && $i>=0){
$ii=floor(1+$i/$config_liblist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="new.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_liblist;}
if($asd2<$to){echo ' ... <a href="new.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}



echo '<br><br><img src="../images/img/new.gif" alt=""> - Самая свежая статья<br>';
echo '<img src="../images/img/new1.gif" alt=""> - Более дня назад<br>';
echo '<img src="../images/img/new2.gif" alt=""> - Более 3 дней назад<br>';

echo '<br>Всего статей: '.$to.'<br><br>';
echo '<img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">К категориям</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>

